import { IgrScatterBase } from "./igr-scatter-base";
import { ScatterSplineSeries } from "./ScatterSplineSeries";
/**
 * Represents a IgxDataChartComponent scatter spline series
*/
export class IgrScatterSplineSeries extends IgrScatterBase {
    createImplementation() {
        return new ScatterSplineSeries();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness() {
        return this.i.or;
    }
    set stiffness(v) {
        this.i.or = +v;
    }
}
